Get MediaAgents associated with a Storage Pool
API to get the list of MediaAgents associated with the Storage Pool
Path Parameters
- storagePoolId int32 required
Id of the Storage Pool
Responses
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
mediaAgents object[]
mediaAgent object
mediaAgentId int32mediaAgentName stringnetHostName stringdisplayName string_type_ stringstatus stringPossible values: [
OFFLINE,ONLINE,MAINTENANCE]isStorageMA booleanIndicates if the MediaAgent has a storage role
isDDBMA booleanIndicates if the MediaAgent has a DDB role
isDDBRoleAllowed booleanIndicates if the DDB role is allowed for this MediaAgent
storageAccessType int32Access type for the MediaAgent
isMetallicMA booleanIndicates if this is a Metallic MediaAgent
osType stringOperating system type of the MediaAgent
clientGroup object
Reference to a client group in Node API responses
clientGroupId int32clientGroupName string_type_ stringisStoragePoolSCG int32associatedClientGroups object[]
clientGroup object
Reference to a client group in Node API responses
clientGroupId int32clientGroupName string_type_ stringisStoragePoolSCG int32storageRole stringPossible values: [
READ,READ_WRITE]Access type for a device (read-only or read-write)
isDDBRole booleanIndicates if the client group has a DDB role
{
"mediaAgents": [
{
"mediaAgent": {
"mediaAgentId": 0,
"mediaAgentName": "string",
"netHostName": "string",
"displayName": "string",
"_type_": "string"
},
"status": "OFFLINE",
"isStorageMA": true,
"isDDBMA": true,
"isDDBRoleAllowed": true,
"storageAccessType": 0,
"isMetallicMA": true,
"osType": "string",
"clientGroup": {
"clientGroupId": 0,
"clientGroupName": "string",
"_type_": "string",
"isStoragePoolSCG": 0
}
}
],
"associatedClientGroups": [
{
"clientGroup": {
"clientGroupId": 0,
"clientGroupName": "string",
"_type_": "string",
"isStoragePoolSCG": 0
},
"storageRole": "READ",
"isDDBRole": true
}
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...